package script;

use strict;

sub readsetting {
my $file = shift;
my %data = ();
open(FILE, $file) || return;
while (<FILE>) {
next if (/^\s*?#/);
s/[\x0D\x0A|\x0D|\x0A]*$/\n/;
if (/^([^\=]+)\=([^\n]+)$/) {
my $key = $1;
my $value = $2;
unless ($key) {next;}
$key =~ s/^[\s\t]*//;
$key =~ s/[\s\t]*$//;
$value =~ s/^[\s\t]*//;
$value =~ s/[\s\t]*$//;
$data{$key} = $value;
}
}
close(FILE);

return \%data;
}

sub html {
my ($title, $message, $flag) = @_;

print "Content-type: text/html; charset=Shift_jis\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"content-type\" content=\"text/html; charset=shift_jis\">\n";
print "<title>$title</title>\n";
print "</head>\n";
print "<body>\n";
print "<div align=\"center\">\n";
print "<h1>$title</h1>\n";
print "<p>$message</p>\n";
if ($flag) {
print "<form>\n";
print "<input type=\"button\" value=\"Back\" onclick=\"history.back()\">\n";
print "</form>\n";
}
print "</div>\n";
print "</body>\n";
print "</html>\n";
exit;
}

sub date {
my $dateformat = shift;
my %date = ();

($date{second}, $date{minute}, $date{hour}, $date{day}, $date{month}, $date{year}) = (localtime(time))[0..5];

$date{year} += 1900;
$date{month} += 1;

while (my($key, $value) = each %date) {
my $pattern = '%%' . $key . '%%';
$dateformat =~ s/$pattern/$value/;
}

return $dateformat;
}

1;
